#!/usr/bin/sh

#*********************************************************************************************************
#*   __     __               __     ______                __   __                      _______ _______   *
#*  |  |--.|  |.---.-..----.|  |--.|   __ \.---.-..-----.|  |_|  |--..-----..----.    |       |     __|  *
#*  |  _  ||  ||  _  ||  __||    < |    __/|  _  ||     ||   _|     ||  -__||   _|    |   -   |__     |  *
#*  |_____||__||___._||____||__|__||___|   |___._||__|__||____|__|__||_____||__|      |_______|_______|  *
#* http://www.blackpantheros.eu | http://www.blackpanther.hu - kbarcza[]blackpanther.hu * Charles Barcza *
#*************************************************************************************(c)2002-2019********
##   blackPanther Default Apps Collection

base=$(basename $0)
. /etc/blackPanther-default-apps.conf

echo -e "$YEL - Agent DVR starting on $(lsb_release -sir) $DEF"
APP_PATH=$HOME/.AgentDVR
mkdir -p $APP_PATH
cd $APP_PATH

INSTPATH=$(readlink -f /usr/bin/agentdvr-server | sed 's|/start.sh$||')
echo "Install path: $INSTPATH"
#export DOTNET_ROOT=$INSTPATH/dotNet
#export PATH=$PWD/ffmpeg:$INSTPATH/ffmpeg:$INSTPATH/dotNet:$PATH
export PATH=$PWD/ffmpeg:$INSTPATH/ffmpeg:$PATH
#echo "dotNet: $(which dotnet)"
echo "FFmpeg: $(which ffmpeg)"

prepar() {
if [ -f "$INSTPATH/Agent" ];then
     echo "AutoPath: " "Found installed application..."
elif [ -f "/usr/lib64/AgentDVR/Agent" ];then
    INSTPATH="/usr/lib64/AgentDVR"
else
     echo "ERROR" "INSTALLL FAILED :("
     exit
fi



rm -fr $APP_PATH/Commands
cp -rf $INSTPATH/Commands $APP_PATH  || FAIL=1
rm -rf $APP_PATH/Floorplans
mkdir -p $APP_PATH/Floorplans
rm -rf $APP_PATH/Overlays
mkdir -p $APP_PATH/Overlays
rm -f $APP_PATH/Agent
cp -f $INSTPATH/Agent $APP_PATH || FAIL=1
chmod +x $APP_PATH/Agent
rm -rf $APP_PATH/Masks
cp -rf $INSTPATH/Masks $APP_PATH  || FAIL=1
rm -rf $APP_PATH/resource

if [ -n "$FAIL" ];then
    echo "AgentDVR work dirs copy failed"
    exit 1
fi

unset FAIL

for LINK in $(find $INSTPATH -maxdepth 1 -mindepth 1) ; do 
 HOME_LINK="$HOME/.AgentDVR/$(echo $LINK | sed "s|${INSTPATH}/||")"
 echo "LINK: $LINK -> HOME:$HOME_LINK"
 #sleep 1
 [ ! -L "$HOME_LINK" ]&&[ ! -f $HOME_LINK ] && ln -sf "$LINK" "$HOME_LINK"
done || echo "ERROR:$HOME_LINK"
#FAIL=1

if [ -n "$FAIL" ];then
    echo "AgentDVR structure creation failed"
    exit 1
fi

unset FAIL


unxz -cd $INSTPATH/resource/Agent_Media.tar.xz | tar -C $APP_PATH -xf- || FAIL=1
if [ -n "$FAIL" ];then
    echo "AgentDVR media storage creation failed"
    exit 1
fi

touch $APP_PATH/.installed
rpm -q --queryformat="%{version}-%{release}\n" agentdvr | sed -e 's|\.||g' -e 's|-||g' -e 's|[a-z].*||' > $APP_PATH/.installed

}

if [ ! -f "$APP_PATH/.installed" ];then
    prepar
else
    echo "AgentDVR: already installed..."
fi

[ ! -x $APP_PATH/Agent ]&& chmod +x $APP_PATH/Agent || echo "Failed add execute.."

./Agent 2>/dev/null

#popd >/dev/null
echo "AgentDVR: quit.."
exit

